Namespace
library
Image / Tag
consul:1.9.0-beta1
Content Digest
sha256:9b51627ddc586d25a45bc1d9aff393e39e23515e5fb8d35925cb36869fca03a6
Details
Created

2020-10-22 02:32:57 UTC

Size

45 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.9.0-beta1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d6ca64ac6f4b6382142ce9a3501652938130a6ec4bb02f3f455ee1f980834cfe - 5.92% (2.66 MB)

[#001] sha256:9938449d4230918267ff788aabd4f1fb43fee53ade28166cba4854e13ee7d7e7 - 0.0% (1.2 KB)

[#002] sha256:3248c43e54d8a39258c71eccacf966b1f371f15cb7de1c3b6104d9100ea8a5f1 - 94.07% (42.3 MB)

[#003] sha256:fd0a0b3ecd556a5deda07794e649446be448e4f6347991a01e1c26bf6cf6b574 - 0.0% (143 Bytes)

[#004] sha256:4c0dd6a9d0f77164977ec00259936c24a979ee022a753a7c9d72744a13359565 - 0.0% (154 Bytes)

[#005] sha256:883cb925e3f5da96924b31152da91c1b2a599d78c0e77bc426b1cc1d1d610c6d - 0.0% (1.66 KB)


History
2020-10-22 02:00:33 UTC

/bin/sh -c #(nop) ADD file:46ad43b4984bcf49c5a888ff3628f23161f55cd1fb062f469e707100c97fa254 in /

2020-10-22 02:00:33 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:32:47 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-10-22 02:32:48 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.9.0-beta1

2020-10-22 02:32:48 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-10-22 02:32:49 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-10-22 02:32:54 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-10-22 02:32:55 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-10-22 02:32:56 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-10-22 02:32:56 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-10-22 02:32:56 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-10-22 02:32:56 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-10-22 02:32:56 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-10-22 02:32:57 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-10-22 02:32:57 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-10-22 02:32:57 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-10-22 03:18:03 UTC

Size

45.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.9.0-beta1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:188c0c94c7c576fff0792aca7ec73d67a2f7f4cb3a6e53a84559337260b36964 - 5.87% (2.67 MB)

[#001] sha256:c0df8ffede2b927dbb80ab6b5d85dde12d4a54deb66894bac730c7365ac2c352 - 0.0% (1.2 KB)

[#002] sha256:e75f95902e76e74012391451904c991cda67fe0bc465866a85d84c9d164ff6cc - 94.12% (42.7 MB)

[#003] sha256:033e314035e7334d913b320d38e978aff3d17678ddf6ad2126d9ef23cfba6a13 - 0.0% (142 Bytes)

[#004] sha256:c62e144d7d318b289f929203b38573e6197d92ba37404dd09e0e6919116f14df - 0.0% (154 Bytes)

[#005] sha256:49ea9cfc407560b99f46f9b2e082fc1178e4b759395633e279fae3c405f1484c - 0.0% (1.67 KB)


History
2020-10-22 02:19:24 UTC

/bin/sh -c #(nop) ADD file:f17f65714f703db9012f00e5ec98d0b2541ff6147c2633f7ab9ba659d0c507f4 in /

2020-10-22 02:19:24 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 03:17:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-10-22 03:17:54 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.9.0-beta1

2020-10-22 03:17:55 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-10-22 03:17:55 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-10-22 03:18:00 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-10-22 03:18:01 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-10-22 03:18:02 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-10-22 03:18:02 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-10-22 03:18:02 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-10-22 03:18:02 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-10-22 03:18:02 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-10-22 03:18:03 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-10-22 03:18:03 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-10-22 03:18:03 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-10-22 02:17:46 UTC

Size

40.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.9.0-beta1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:bad30e7b45c14f784ef29a828b5fc69db0ebdefebcde6a7c98f4f77ffc93a546 - 6.09% (2.48 MB)

[#001] sha256:e8eb599ef0b38d2b800e58e74a80f31d7487a726532c8f254d0e05bba6603385 - 0.0% (1.23 KB)

[#002] sha256:ca4cec6230bd53ded39135fc8034bcce62320e90a5797428e5163be7b779ea92 - 93.91% (38.3 MB)

[#003] sha256:6ab0596547824bed8f0b17196a88ba2af9967fc517221e8ea516753a1fe52335 - 0.0% (176 Bytes)

[#004] sha256:b977009089ae5433276df5b2f18bc23cb00a63e99d941e5326a26944d85ac313 - 0.0% (153 Bytes)

[#005] sha256:b252efd0fcdd733a2d9795e6c91ce4a9a45787ae12a9ad939cdc040486ffe812 - 0.0% (1.67 KB)


History
2020-10-22 02:01:09 UTC

/bin/sh -c #(nop) ADD file:dec4d3b6cf21c59820d1d74a554d0a193b5f4859e00b932f31ffe73f554d5afb in /

2020-10-22 02:01:12 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:17:14 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-10-22 02:17:16 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.9.0-beta1

2020-10-22 02:17:17 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-10-22 02:17:19 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-10-22 02:17:29 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-10-22 02:17:33 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-10-22 02:17:36 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-10-22 02:17:37 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-10-22 02:17:38 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-10-22 02:17:39 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-10-22 02:17:40 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-10-22 02:17:41 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-10-22 02:17:44 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-10-22 02:17:46 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-10-22 02:43:06 UTC

Size

40.9 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.9.0-beta1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5f621e34cdf485f410766dc9a0fc7855d17916d0f6583b58cbdce7c28831f527 - 6.3% (2.58 MB)

[#001] sha256:ce7da2a8d23de5894604ad32a80a1f2d126d574b4a8c7cdf045a22fa0e4474b2 - 0.0% (1.23 KB)

[#002] sha256:cf97b02f0060a7ef5f6a44e897d20fe50b1820572e1d57f2d0a4c90399adaf3a - 93.69% (38.4 MB)

[#003] sha256:f90f956b556e062ccf5b00512e74ad487505409e0c8c739a20c34b0b5be959a9 - 0.0% (176 Bytes)

[#004] sha256:562e039c4c33e7fdffb4a8f85e7fda3c3ed3eff4261ee20608c3d144d0512afc - 0.0% (154 Bytes)

[#005] sha256:fb23a4d41b227257d9c4d1c9452f49b5125ed9e4851f0690f88f3123ef661066 - 0.0% (1.67 KB)


History
2020-10-22 02:01:01 UTC

/bin/sh -c #(nop) ADD file:55c4e9752146061a2b5f76027221329f423687987c0744ef577130c60ff0ba42 in /

2020-10-22 02:01:06 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:42:38 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-10-22 02:42:39 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.9.0-beta1

2020-10-22 02:42:39 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-10-22 02:42:41 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-10-22 02:42:49 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-10-22 02:42:52 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-10-22 02:42:54 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-10-22 02:42:57 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-10-22 02:42:58 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-10-22 02:43:00 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-10-22 02:43:02 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-10-22 02:43:03 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-10-22 02:43:04 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-10-22 02:43:06 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]